
<!-- bannermenu.php -->
<div id="bannerBody">

    <!-- This div contains the bannermenu and centers it on the page -->
    <div id="bannerWrapper">
    
        <!-- Determines how the LenaSYSButton should look and function depending on if the user is logged in or not  -->
        <?php
			//$userName
			$url = base_url();
			
			if($userName == '') {
				$url += 'controller/metod';
			}
			else {
				$url += 'controller/metod';
			}
			
			echo '<a href="'.$url.'" title="Home"><div id="bannerLogoButton"></div></a>';
		?>
        
        <!-- This div contains all the content between the LenaSYS button and the user button -->
        <div id="bannerContent">
        
            <!-- This div contains the content that is needed on the banner for the CMS page.
            The name is only used to set it hidden or shown. -->
            <div id="bannerContentCMS">
            	
                <!-- Determines if the header should contain active course info depending on if the user is logged in or not -->
            	<?php
					//$userName
					$header = '';
					
					if($userName != '') {
						$header = '<span id="bannerHeaderCMSCourseName">Webprogramming</span>&nbsp;-&nbsp;
                    			    <span id="bannerHeaderCMSCourseCode">DA330G</span>';
					}
					
					echo '<div id="bannerHeaderCMS">'.$header.'</div>';
				?>
                
            </div>
            
            <!-- This div contains the content that is needed on the banner for the example page.
            The name is only used to set it hidden or shown. -->
            <div id="bannerContentExample">
                <a href="#" title="Open example menu"><div id="bannerCodeviewerMenuButton" class="icomoon">%</div></a>
                <a href="#" title="Go to previous example"><div id="bannerLeftArrowButton" class="icomoon">&amp;</div></a>
                <a href="#" title="Go to next example"><div id="bannerRightArrowButton" class="icomoon">'</div></a>
                <a href="#" title="Play the example"><div id="bannerPlayButton" class="icomoon">-</div></a>
                <div id="bannerHeaderExample">Menu with images using divs</div>
                <a href="#" title=""><div id="bannerExtraButton" class="icomoon">+</div></a>
            </div>
            
        </div><!-- End of bannerContent -->
        
        <!-- Determines how the userMenuButton should look and function depending on if the user is logged in or not  -->
        <?php
			//$userName
			$title = '';
			$text = ''; 
			
			if($userName == '') {
				$title = 'Click to login';
				$text = 'Login';
			}
			else if($userName != '') {
				$title = 'Open settings menu';
				$text = $userName;
			}
			
			echo '<div id="bannerUserMenuButton" title="'.$title.'">'.$text.'</div>';
		?>
        
    </div><!-- End of bannerWrapper -->
    
    <!-- This div contains the dropdownmenus -->
    <div id="dropdownMenuWrapper">
    
        <!-- This div contains the dropdownmenu for the codeviewer menu button -->
        <div id="dropdownCodeviewerMenu">
            <div class="drowdownMenuHeader">Choose example</div>
            <a href="#"><div class="dropdownMenuButton">Menu with images using divs</div></a>
            <a href="#"><div class="dropdownMenuButton">Dropdown menu</div></a>
            <a href="#"><div class="dropdownMenuButton">Expand and contract data</div></a>             
        </div>
        
        <!-- This div contains the dropdownmenu for user menu button -->
        <div id="dropdownUserMenu">
            <div class="drowdownMenuHeader">Settings</div>
            <a href="#"><div class="dropdownMenuButton">Courses<span id="dropdownMenuButtonArrow">&nbsp;</span></div></a>
            <div id="dropdownMenuCourseBlock">
                <ul>
                    <a href="#"><li class="dropdownMenuCourseBlockNonActiveCourse">Computor Graphics - DA146G</li></a>
                    <a href="#"><li class="dropdownMenuCourseBlockNonActiveCourse">Database Construction - IS317G</li></a>
                    <a href="#"><li class="dropdownMenuCourseBlockNonActiveCourse">Database Systems - IS114G</li></a>
                    <a href="#"><li class="dropdownMenuCourseBlockNonActiveCourse">Webdevelopment XML API - DV313G</li></a>
                    <a href="#"><li class="dropdownMenuCourseBlockActiveCourse">Webprogramming - DA330G</li></a>
                </ul>
                <hr>
                <ul>
                    <a href="#"><li class="dropdownMenuCourseBlockNotCourse">Manage Courses</li></a>
                </ul>
            </div>
            <a href="#"><div class="dropdownMenuButton">Add Instructor</div></a>
            <a href="#"><div class="dropdownMenuButton">Change Password</div></a>
            <a href="#"><div class="dropdownMenuButton">Logout</div></a>
        </div>
        
    </div><!-- End of dropdownMenuWrapper -->
    
</div><!-- End of bannerBody -->